CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 4504

CAD tip CAD tip # 5362:

   
Question CAD 
 %  platform  category 
Q - question

How to switch current AutoCAD profile programmatically?

A - answer To switch to a different AutoCAD profile from a macro, script or a user application, you can use the command:
_VBASTMT
ThisDrawing.Application.Preferences.Profiles.ActiveProfile = "PROFILENAME"
Alternatively you can use a VisualLISP function:
(defun SetProfile (profilename)
 (vl-load-com)
 (vla-put-ActiveProfile
  (vla-get-Profiles
   (vla-get-Preferences
    (vlax-get-acad-object)
   )
  )
  profilename
 )
)
You may also make use of the Workspace functionality.
ACAD
100% *  CAD 
15.1.2007    12938×  
Prices - CAD eShop:
applies to: AutoCAD ·

See also:
Tip 12456:How to EXTRUDE with a twisted profile in AutoCAD?
Tip 12191:How to preset options in the Purge dialog?
Tip 12049:AutoCAD display (status bar) jumps and flickers while zooming.
Tip 11970:How to find the map coordinate system of a drawing?
Tip 11686:Where is stored the application list loaded through the Startup Suite?


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Publish interactive 3D PDF models from AutoCAD, Inventor or Revit with Share3D More info


Please use these tips at your own risk.
CAD Studio is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist